/* _dict.cc 10/05/2001 14.16.10 */
/* http.tlcc 04/05/2004 11.39.16 */
void _F_http_get::fail (const HTTP_HEADER_INFO&info, const char *msg);
void _F_http_get::end (const HTTP_HEADER_INFO&info);
void _F_http_get::header (const char *line,
	 int len,
	 const HTTP_HEADER_INFO&info,
	 bool&end);
/* netevent.tlcc 04/05/2004 11.39.16 */
PUBLIC NETOBJECT::NETOBJECT (HANDLE_SELECTS&_sels);
PUBLIC NETOBJECT *NETOBJECTS::getitem (int no)const;
void _F_NETEVENT_MANAGER::idle (int , bool&, bool);
PUBLIC NETEVENT_MANAGER::NETEVENT_MANAGER (_F_NETEVENT_MANAGER&c);
PUBLIC NETEVENT_MANAGER::~NETEVENT_MANAGER (void);
PUBLIC void NETEVENT_MANAGER::add (HANDLE_SELECTS&sels);
PRIVATE void NETEVENT_MANAGER::loopgen (int timeout,
	 bool gui,
	 PRIVATE_MESSAGE&endmsg);
PUBLIC void NETEVENT_MANAGER::loop (int timeout);
PUBLIC void NETEVENT_MANAGER::loopgui (int timeout,
	 PRIVATE_MESSAGE&endmsg);
/* popenhandler.tlcc 04/05/2004 11.39.16 */
PUBLIC POPEN_OBJ::POPEN_OBJ (POPENFD *_pop);
PUBLIC POPEN_OBJ::~POPEN_OBJ (void);
PUBLIC POPEN_OBJ *POPEN_OBJS::getitem (int no)const;
PUBLIC void POPEN_OBJS::add (POPEN_OBJ *o);
void _F_POPENHANDLER::oneerr (POPENFD *, const char *line);
void _F_POPENHANDLER::end (POPENFD *);
PUBLIC POPENHANDLER::POPENHANDLER (_F_POPENHANDLER&c);
PUBLIC VIRTUAL POPENHANDLER::~POPENHANDLER (void);
PUBLIC void POPENHANDLER::add (POPENFD *pop);
PUBLIC int POPENHANDLER::getrunning (void);
PUBLIC int POPENHANDLER::setup_select (fd_set&set, int max_handle);
PUBLIC void POPENHANDLER::process_select (int select_ret,
	 fd_set&set,
	 long timeout);
/* samples.tlcc 04/05/2004 11.39.16 */
/* tcpconnect.tlcc 04/05/2004 11.39.16 */
void _F_TCPCONNECT::fail (TCPCONNECT_INFO&info);
bool _F_TCPCONNECT::setrawmode (bool mode);
PUBLIC bool TCPCONNECT::setrawmode (bool mode);
int _F_TCPCONNECT::send (const char *line);
int _F_TCPCONNECT::send (const void *buf, int len);
int _F_TCPCONNECT::sendf (const char *ctl, ...);
void _F_TCPCONNECT::set_timeout (int seconds);
void _F_TCPCONNECT::set_timeout (int seconds, int usec);
void _F_TCPCONNECT::settcpnodelay (bool on);
PUBLIC void TCPCONNECT::settcpnodelay (bool on);
PUBLIC int TCPCONNECT::send (const char *line);
PUBLIC int TCPCONNECT::send (const void *buf, int len);
PUBLIC int TCPCONNECT::sendf (const char *ctl, ...);
void _F_TCPCONNECT::init (bool&, TCPCONNECT_INFO&);
void _F_TCPCONNECT::time_out (bool&, TCPCONNECT_INFO&);
void _F_TCPCONNECT::end (TCPCONNECT_INFO&info);
PUBLIC TCPCONNECT::TCPCONNECT (_F_TCPCONNECT&c,
	 const char *host,
	 const char *port);
PUBLIC TCPCONNECT::TCPCONNECT (_F_TCPCONNECT&c, int handle);
PUBLIC bool TCPCONNECT::is_ok (void);
PUBLIC VIRTUAL TCPCONNECT::~TCPCONNECT (void);
PUBLIC int TCPCONNECT::close (void);
PUBLIC int TCPCONNECT::reconnect (void);
PUBLIC int TCPCONNECT::connect (void);
PRIVATE void TCPCONNECT::first_connect (void);
PUBLIC int TCPCONNECT::reconnect (const char *newhost,
	 const char *newport);
PUBLIC int TCPCONNECT::setup_select (fd_set&set, int max_handle);
PRIVATE void TCPCONNECT::process_lines (void);
PUBLIC void TCPCONNECT::process_select (int select_ret,
	 fd_set&set,
	 long timeout);
PUBLIC int TCPCONNECT::loop (int time_out);
PUBLIC int TCPCONNECT::poll (void);
PUBLIC void TCPCONNECT::set_timeout (int seconds);
void _F_tcpconnect::fail (TCPCONNECT_INFO&info);
void _F_tcpconnect::settcpnodelay (bool on);
bool _F_tcpconnect::setrawmode (bool mode);
void _F_tcpconnect::set_timeout (int seconds);
void _F_tcpconnect::set_timeout (int seconds, int usec);
int _F_tcpconnect::send (const char *line);
int _F_tcpconnect::send (const void *buf, int len);
void _F_tcpconnect::init (bool&, TCPCONNECT_INFO&);
void _F_tcpconnect::time_out (bool&, TCPCONNECT_INFO&);
void _F_tcpconnect::end (TCPCONNECT_INFO&info);
int _F_tcpconnect::sendf (const char *ctl, ...);
/* tcpserver.tlcc 04/05/2004 11.39.16 */
int _F_TCPSERVER::iter_next (void *&data);
int _F_TCPSERVER::iter_init (void *&data);
int _F_TCPSERVER::iter_init (void);
int _F_TCPSERVER::iter_next (void);
void _F_TCPSERVER::set_timeout (int nbseconds);
bool _F_TCPSERVER::setrawmode (bool mode);
PUBLIC bool TCPSERVER::setrawmode (bool mode);
void _F_TCPSERVER::idle (int , bool&, TCPSERVER_INFO&);
void _F_TCPSERVER::time_out (int , bool&, TCPSERVER_INFO&);
int _F_TCPSERVER::sendto (int client, const char *line);
int _F_TCPSERVER::sendto (int client, const void *buf, int len);
int _F_TCPSERVER::sendtof (int client, const char *ctl, ...);
int _F_TCPSERVER::send (const char *line);
int _F_TCPSERVER::send (const void *buf, int len);
int _F_TCPSERVER::sendf (const char *ctl, ...);
int _F_TCPSERVER::sendallf (const char *ctl, ...);
int _F_TCPSERVER::sendall (const void *s, int len);
int _F_TCPSERVER::sendall (const char *s);
void _F_TCPSERVER::endclient (int , bool&, TCPSERVER_INFO&);
void _F_TCPSERVER::settcpnodelay (bool on);
void _F_TCPSERVER::forgetclient (void);
void _F_TCPSERVER::closeclient (int cli);
int _F_TCPSERVER::getnbclients (void);
int _F_TCPSERVER::getnbpending (void);
PUBLIC int TCPSERVER::listen (const char *bindaddr, const char *port);
PUBLIC int TCPSERVER::listen (const char *port);
PUBLIC int TCPSERVER::listen (int port);
PRIVATE void TCPSERVER::init (_F_TCPSERVER&c,
	 const char *bindaddr,
	 const char *port,
	 int time_out);
PUBLIC TCPSERVER::TCPSERVER (_F_TCPSERVER&c,
	 const char *port,
	 int time_out);
PUBLIC TCPSERVER::TCPSERVER (_F_TCPSERVER&c,
	 const char *bindaddr,
	 const char *port,
	 int time_out);
PUBLIC TCPSERVER::TCPSERVER (_F_TCPSERVER&c, int port, int time_out);
PUBLIC VIRTUAL TCPSERVER::~TCPSERVER (void);
PRIVATE void _F_TCPSERVER::endsession (int cli);
PRIVATE void TCPSERVER::endsession (int cli);
PUBLIC int TCPSERVER::getnbclients (void)const;
PUBLIC void TCPSERVER::loop (void);
void _F_TCPSERVER::inject (int client, ARRAY_OBJ *data);
PUBLIC void TCPSERVER::inject (int client, ARRAY_OBJ *data);
PRIVATE bool TCPSERVER::dispatch (int select_ret, fd_set&set);
PUBLIC int TCPSERVER::setup_select (fd_set&set, int max_handle);
PUBLIC void TCPSERVER::process_select (int select_ret,
	 fd_set&set,
	 long timeout);
PUBLIC void TCPSERVER::setmaxclients (int n);
PUBLIC int TCPSERVER::sendallf (const char *ctl, ...);
PUBLIC int TCPSERVER::sendall (const void *s, int len);
PUBLIC int TCPSERVER::sendall (const char *s);
PUBLIC int TCPSERVER::sendto (int client, const char *line);
PUBLIC int TCPSERVER::sendto (int client, const void *buf, int len);
PUBLIC int TCPSERVER::sendtof (int client, const char *ctl, ...);
/* tlmpnet.cc 10/05/2001 20.56.32 */
