/* cron.cc 12/01/2001 18.07.54 */
int cron_install (const char *user, const char *options);
void cron_edit (const char *user, const char *suggest[][2]);
void cron_edit (const char *user);
int cron_isempty (const char *user);
int cron_addcmd (const char *user,
	 const char *cmd,
	 const char *minutes,
	 const char *hour,
	 const char *dmonths,
	 const char *dweeks,
	 const char *months);
int cron_delcmd (const char *user, const char *cmd);
/* _dict.cc 14/08/1996 15.00.36 */
/* fileowner.cc 20/01/2000 20.40.46 */
/* genpassword.cc 03/06/2003 11.05.40 */
/* group.cc 22/10/2003 20.15.26 */
const char *group_gethomebase (const char *gname);
bool group_homeneeded (const char *gname);
int group_getcreateperm (const char *gname);
/* groups.cc 14/10/2003 14.34.42 */
void groups_sethook (int (*_group_fct_del)(GROUP *),
	 int (*_group_fct_add)(GROUP *),
	 int (*_group_fct_mod)(GROUP *));
void groups_edit (void);
int group_getcreate (const char *name, const char *reason);
int groups_getpop (void);
int groups_getppp (void);
int groups_getslip (void);
int groups_getuucp (void);
int groups_add (const char *name);
int groups_del (const char *name);
/* helpf.cc 14/08/1996 15.01.30 */
/* internal.cc 27/08/1995 12.26.28 */
/* passwd_chat.cc 21/03/2000 16.26.26 */
/* passwd_valid.cc 03/06/2003 11.07.10 */
const char *policies_getdefhome (void);
int policies_getcreateperm (void);
const char *policies_getautopasscmd (void);
const char *policies_getautoupasscmd (void);
bool policies_getforceupasswd (void);
const char *policies_getcreatecmd (void);
bool policies_privgroup (void);
const char *policies_getpostdeletecmd (void);
const char *policies_getdeletecmd (void);
const char *policies_getarchivecmd (void);
bool policies_mayedithome (void);
bool policies_mayeditshell (void);
bool policies_mayeditquota (void);
bool policies_mayedittasks (void);
bool policies_mayshowshadow (void);
bool policies_mayshowexpire (void);
bool policies_createhome (void);
/* perm.cc 14/08/2003 14.25.50 */
void passwd_sethook (int (*_fct_check)(const char *user),
	 int (*_fct_change)(const char *user, bool pre_authenticated, const
	 char *suggested, void (*_fct_html)(M_DIALOG&dia, bool intro)),
	 int (*_fct_check_pair)(const char *user, const char *passwd));
void perm_forceok (void);
bool perm_validpass (USERS&users,
	 const char *username,
	 const char *pass);
int perm_validpass (const char *username, const char *pass);
void perm_setaccess (const char *username, const char *password);
int perm_checkpass (void);
PRIVILEGE *perm_setdefprivi (PRIVILEGE *priv);
PRIVILEGE *perm_getdefprivi (void);
void perm_setbypass (bool b);
int perm_rootaccess (const char *ctl, ...);
int perm_access (PRIVILEGE *priv, const char *ctl, ...);
int perm_checkpriv (PRIVILEGE *priv);
int perm_getadminuid (void);
int perm_getuid (void);
void perm_sethtml (bool _mode);
/* privi.cc 18/09/2000 17.52.44 */
void privilege_setdialog (DIALOG&dia,
	 const char *user,
	 PRIVILEGE_DATAS&tb);
int privilege_validate (PRIVILEGE_DATAS&, int &nof);
PRIVILEGE *privilege_lookup (const char *id);
int privilege_save (const char *user,
	 PRIVILEGE_DATAS&tb,
	 PRIVILEGE *priv);
USERACCT_COMNG *privi_newcomng (const char *key, DICTIONARY&dict);
/* shadow.cc 30/03/2001 00.47.48 */
int shadow_exist (void);
/* shells.cc 25/04/2002 13.03.30 */
bool shells_isok (const char *path);
bool shells_exist (const char *path);
void shells_edituser (void);
void shells_editppp (void);
void shells_editslip (void);
int shells_isppp (const char *path);
int shells_isslip (const char *path);
const SSTRINGS *shells_getuserlist (void);
const SSTRINGS *shells_getppplist (void);
const SSTRINGS *shells_getsliplist (void);
const char *shells_getuucpdefault (void);
const SSTRINGS *shells_getuucplist (void);
const char *shells_getdefault (void);
const char *shells_getpppdefault (void);
const char *shells_getslipdefault (void);
/* special.cc 09/12/1996 16.22.12 */
int special_init (const char *group, USER *&special);
PRIVILEGE *special_getpriv (const char *group);
/* upass.cc 14/08/2003 14.32.26 */
void upass_setintro (M_DIALOG&dia, const char *server);
void upass_setintro (DIALOG&dia, const char *server);
void upass_setend (M_DIALOG&dia, const char *server);
void upass_setend (DIALOG&dia, const char *server);
void userconf_editupass (USERS&users, const char *server);
void userconf_editupass (void);
/* user1.cc 04/12/2000 23.48.26 */
/* user.cc 22/10/2003 20.18.26 */
int user_splitline (const char *line, char words[9][100]);
bool user_isadmin (const char *loginid);
int pass_isweak (const char *pass);
void user_crypt (const char *password, SSTRING&hash);
int user_genselpassword (const char *command,
	 bool force,
	 SSTRING&suggested);
/* usercomng.cc 11/12/2002 15.17.42 */
/* userconf.cc 14/10/2003 14.38.44 */
const char *userconf_getprivsection (void);
void userconf_edit (void);
int userconf_passwd (int argc, char *argv[]);
const char *userconf_getusage (void);
int userconf_main (int argc, char *argv[]);
void userconf_listspc (void);
/* users.cc 22/10/2003 20.17.44 */
void users_sethook (int (*_user_fct_del)(const USER *, const SHADOW *),
	 int (*_user_fct_add)(USER *, SHADOW *, bool),
	 int (*_user_fct_mod)(const USER *, const SHADOW *));
void users_edit (USER *special, PRIVILEGE *priv, unsigned may_edit);
int users_addone (const char *name,
	 const char *group,
	 const char *fullname);
int user_exist (const char *name);
int users_editone (const char *name,
	 const char *group,
	 const char *fullname);
int users_add (const char *id,
	 const char *group,
	 const char *name,
	 const char *shell,
	 const char *home,
	 const char *altgr);
int users_del (const char *id, USER_DELOPER oper);
